애플, 10월 17일자로 Java 관련 OS X 시스템 보안 업데이트 배포

2012. 10. 17. 16:20    작성자: ONE™

애플이 10월 17일자로 Java 보안성 향상을 골자로 하는 OS X 시스템 업데이트를 배포하고 있습니다.

이번 업데이트의 정확한 명칭은 Java for OS X 2012-006이며 대상은 OS X 10.8 마운틴 라이언을 비롯해 OS X 10.7 라이언과 OS X 10.6 스노우 레퍼드를 포함하고 있습니다.

OS X용 Java 0012-006는 Java SE 6을 1.6을 1.6.0_37로 업데이트하여 향상된 보안, 신뢰성 및 호환성을 제공합니다..

•이 업데이트는 모든 웹 브라우저에서 애플이 제공한 Java 애플릿 플러그인을 삭제합니다. 웹페이지에서 애플릿을 사용하려면 '플러그인 유실' 레이블이 표시된 영역을 클릭하여 Oracle에서 최신 버전의 Java 애플릿 플러그인을 다운로드 할 수 있도록 이동하십시오.

•이 업데이트를 설치하기 전에 모든 웹 브라우저 및 Java 응용 프로그램을 종료하십시오.

•이 업데이트에 대한 자세한 사항은 다음 웹 사이트를 참조하십시오.
http://support.apple.com/kb/HT5493?viewlocale=ko_KR
•이 업데이트의 보안 콘첸트에 대한 사항은 다음 웹 사이트를 참조하십시오.
http://support.apple.com/kb/HT1222?viewlocale=ko_KR

OS X 마운틴 라이언 사용자들은 맥 앱스토어를 통해서, 또 구 OS X 사용자들은  > 소프트웨어 업데이트를 통해서 업데이트를 진행할 수 있습니다. 이번 업데이트를 수동으로 설치 하실 분들은 애플 다운로드 페이지에서 OS X 버전별로 인스톨러가 제공되고 있습니다. (애플에서 제공해 오던 Java 플러그인을 삭제하는 것이니 Java 언인스톨러라고 봐도 무방할 것 같습니다.)

➥ 다운로드 링크: Apple Support Downloads

이번 시스템 업데이트는 Java 6에 한정된 것으로 오라클(Oracle) 웹사이트를 통해 Java 7을 설치한 사용자는 기존과 마찬가지로 오라클 Java 업데이트 웹페이지에서 최신 버전을 계속 업데이트 받으실 수 있습니다.

➥ 링크: Oracle Java SE 7 u9

OS X 사용자들은 2012년 8월 15일 이후로 오라클(Oracle)이 직접 배포하는 Java 패키지를 설치할 수 있습니다. 패키지에는 JRE 뿐만 아니라 JDK, JavaFX가 모두 포함되어 있습니다. OS X용 Java 패키지 배포를 오라클로 넘어가는 것은 여러가지 기념비적인 의미를 가지고 있습니다. 그 동안 새로운 Java 플랫폼이 나와도 맥사용자들은 새 버전을 바로 사용할 수 없었고 매번 애플이 OS X 용으로 수정한 버전을 배포할 때까지 짧게는 몇 주에서 길게는 몇 달이나 기다려야 하는 것이 일반적이였습니다. 

하지만 Java SE 7 u7을 기점으로 오라클이 Java를 직접 배포함으로써 OS X도 윈도우나 리눅스와 마찬가지로 최신 업데이트를 지체없이 내려받을 수 있게 되었습니다. 또, Java 취약점을 노린 바이러스가 기승을 부릴 때 다른 플랫폼은 신속하게 보안 업데이트를 받을 수 있었던 반면 상대적으로 업데이트가 느린 OS X은 이런 바이러스의 주 타겟이 되어왔는데 앞으로 오라클이 발빠른 대응이 가능해짐으로써 운영체제의 보안성이 향상될 것으로 에상되고 있습니다. - ONE™


    
  1. Blog Icon
    MGenie

    감사합니다 ^^ 방급 업데이트 했네요

  2. 별말씀두요 :-D

  3. Blog Icon
    netopia

    오라클의 자바를 설치하게 되면 크롬브라우저를 쓰는 사용자는 브라우저에서 자바 플러그인을 못 쓰게 됐습니다. 오라클에서 제공하는 OSX 자바는 64비트만 제공하므로 32비트 브라우저인 크롬에서는 동작하지 않습니다. 크롬이 64비트 버전을 내놓던가 자바 32버전을 내놓던가 해야겠죠.
    파이어폭스에서는 잘됩니다.

  4. 최근엔 사파리만 사용해서 몰랐던 부분인데 크롬 사용자들에게는 굉장히 중요한 정보인 것 같습니다. 결국 크롬 사용자들은 Java SE 6만 사용하거나, 크롬이 64비트를 지원해줄 때까지 마냥 기다리는 방법 밖에는 없나보군요.